maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Enrico Olivelli <eolive...@gmail.com>
Subject Re: Drop tests for java 9 and 10?
Date Sun, 02 Jun 2019 10:16:32 GMT
It seems to me that they are already skipped

https://gitbox.apache.org/repos/asf?p=maven-jenkins-lib.git;a=blob_plain;f=vars/asfMavenTlpPlgnBuild.groovy;hb=HEAD

But in some cases, like in the checkstyle plugin, we have a custom liat
jdks on the Jenkins file.
I am going to do the same for the maven archetype plugin

We should make it simpler to configure.
Like adding a new optional configuration entry 'minJdk' to be set inside
the Jenkinsfile.

This way we don't have to hard code the list.

I guess we will be seeing soon more and more plugins that need jdk8 as
minimum but we are keeping jdk7 as base


Enrico

Il dom 2 giu 2019, 11:47 Tibor Digana <tibordigana@apache.org> ha scritto:

> +1 for deleting 9 1nd 10.
> yes, there's a statement by Robert "all non-EOL versions and the first EA".
> Now that includes 7 and 8 .
>
> On Sun, Jun 2, 2019 at 10:42 AM Enrico Olivelli <eolivelli@gmail.com>
> wrote:
>
> > Hi,
> > To me it is not clear if we should keep tests against java 9 and java 10.
> >
> > I think it is mostly a waste of resources and time.
> >
> > Do we have a clear and documented statement about which versions are
> > supported and tested ?
> >
> >
> > Thoughts?
> > Enrico
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message